Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(389)

Issue 2881143004: Remove PassRefPtr on setters in ComputedStyle. (Closed)

Created:
1 year ago by shend
Modified:
1 year ago
CC:
blink-reviews, blink-reviews-style_chromium.org, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove PassRefPtr on setters in ComputedStyle. As we are going to remove PassRefPtr, this patch replaces uses of PassRefPtr with RefPtr in ComputedStyle setters. BUG=494719 Review-Url: https://codereview.chromium.org/2881143004 Cr-Commit-Position: refs/heads/master@{#472778} Committed: https://chromium.googlesource.com/chromium/src/+/f48988f3854ac9d3e6beb282d349be7436b07cf5

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+29 lines, -30 lines) Patch
M third_party/WebKit/Source/core/style/ComputedStyle.h View 1 2 13 chunks +17 lines, -17 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.cpp View 1 2 7 chunks +12 lines, -13 lines 0 comments Download

Messages

Total messages: 26 (18 generated)
shend
Hi Bugs, PTAL :)
1 year ago (2017-05-16 04:26:19 UTC) #3
Bugs Nash
lgtm Note that the call sites that call these methods with .Release() will also need ...
1 year ago (2017-05-16 23:15:19 UTC) #7
shend
Done. Hi yutak, PTAL?
1 year ago (2017-05-18 05:11:11 UTC) #10
Yuta Kitamura
It seems that you have a patch conflict. Can you rebase your patch and upload ...
1 year ago (2017-05-18 05:49:53 UTC) #14
shend
On 2017/05/18 at 05:49:53, yutak wrote: > It seems that you have a patch conflict. ...
1 year ago (2017-05-18 06:02:11 UTC) #17
Yuta Kitamura
On 2017/05/18 06:02:11, shend wrote: > On 2017/05/18 at 05:49:53, yutak wrote: > > It ...
1 year ago (2017-05-18 06:06:23 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2881143004/40001
1 year ago (2017-05-18 10:33:18 UTC) #23
commit-bot: I haz the power
1 year ago (2017-05-18 12:22:24 UTC) #26
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/f48988f3854ac9d3e6beb282d349...

Powered by Google App Engine
This is Rietveld 408576698